net.dontdrinkandroot.wicket.bootstrap.headeritem

## Class BootstrapResponsiveCssHeaderItem

- java.lang.Object
- - org.apache.wicket.markup.head.HeaderItem
  - - org.apache.wicket.markup.head.CssHeaderItem
    - - org.apache.wicket.markup.head.CssReferenceHeaderItem
      - - net.dontdrinkandroot.wicket.bootstrap.headeritem.BootstrapResponsiveCssHeaderItem

All Implemented Interfaces:
  org.apache.wicket.markup.head.IReferenceHeaderItem

    public class BootstrapResponsiveCssHeaderItem
    extends org.apache.wicket.markup.head.CssReferenceHeaderItem

### Constructor Summary

Constructors
Constructor and Description
`BootstrapResponsiveCssHeaderItem()`

### Method Summary

Methods
`Iterable<? extends org.apache.wicket.markup.head.HeaderItem>` `getDependencies()`

### Methods inherited from class org.apache.wicket.markup.head.CssReferenceHeaderItem

`equals, getMedia, getPageParameters, getProvidedResources, getReference, getRenderTokens, hashCode, render, toString`

### Methods inherited from class org.apache.wicket.markup.head.CssHeaderItem

`forCSS, forCSS, forReference, forReference, forReference, forReference, forUrl, forUrl, forUrl, getCondition, internalRenderCSSReference`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BootstrapResponsiveCssHeaderItem

    public BootstrapResponsiveCssHeaderItem()

### Method Detail

#### getDependencies

    public Iterable<? extends org.apache.wicket.markup.head.HeaderItem> getDependencies()

Overrides:
  `getDependencies` in class `org.apache.wicket.markup.head.CssReferenceHeaderItem`